LibreOffice: DispatchRecorder Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

List of all members
DispatchRecorder Service Referencepublished

provides functionality to record XDispatch::dispatch() requests More...

`import"DispatchRecorder.idl";`

Inheritance diagram for DispatchRecorder:

## Additional Inherited Members
Public Member Functions inherited from XDispatchRecorder
void | startRecording ([in] com::sun::star::frame::XFrame Frame)
| initializes the recorder by passing the frame for which all macro statements shall be recorded More...
void | endRecording ()
| stops the recording process More...
void | recordDispatch ([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| records a single dispatch call identified by its command URL More...
void | recordDispatchAsComment ([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| records a single dispatch call identified by its command URL, but comments it out More...
string | getRecordedMacro ()
| returns the recorded source code More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides functionality to record XDispatch::dispatch() requests

It records all necessary parameters of a call XDispatch::dispatch() and generate code which can be executed at later time to run same operations again. Which code will be generated depends from real implementation. So it's possible to generate e.g. Java/Basic or may Perl code. By using of a DispatchRecorderSupplier, which is available on a property of a Frame::DispatchRecorderSupplier, it's possible to change such code generation for further requests or disable it in general by setting this property to `NULL`.

See also
  DispatchRecorderSupplier
  Frame::RecorderSupplier

Since
  OOo 1.1.2

The documentation for this service was generated from the following file:

- com/sun/star/frame/DispatchRecorder.idl